(function(ionic){
    'use strict';

	angular.module('altacanApp').controller('SolucionesCtrl',
		['$scope', '$state', '$http', 'Token', 'UrlServiciosRest', '$stateParams', 'Soluciones', '$ionicPopup', '$sce',
		function ($scope, $state, $http, Token, UrlServiciosRest, $stateParams, Soluciones, $ionicPopup, $sce) {
			console.log(localStorage.getItem(Token));
			if(localStorage.getItem(Token) == null || localStorage.getItem(Token) == ""){
				$state.go("datosPersonales");
			}
						
			$scope.soluciones = [];
			
			$scope.solucionesJson = Soluciones.query({id: $stateParams.idencuesta}, function(data) {
				$scope.soluciones = $scope.solucionesJson.soluciones.map(function(o){ return $sce.trustAsHtml(o); });
			}, function(error) {
				console.error('ERR al recuperar las soluciones del cuestionario', JSON.stringify(error));
				$ionicPopup.alert({
					title: 'Error al recuperar las soluciones del cuestionario',
					template: 'Inténtelo más tarde.',
					buttons: [
					  {
						text: 'Volver al menú',
						type: 'button-positive',
						onTap: function(e) {
						  $state.go("menu");
						  window.location.reload(true);
						}
					  }
					]
				});
			});
			
			$scope.goMenu = function() {
				$state.go("menu");				
			}

	}])		
})(window.ionic);