'use strict';

/* Services */
var modulo = angular.module('altacanApp.services', ['ngResource']);

/* public services */
modulo
        .factory('Centros', ['$resource', 'UrlServiciosRest', function ($resource, UrlServiciosRest) {
                return $resource(UrlServiciosRest + 'institutoconcurso/todos/', {}, {query: {method: 'GET', isArray: true }}); }])
				
        .factory('Municipios', ['$resource', 'UrlServiciosRest', function ($resource, UrlServiciosRest) {
                return $resource(UrlServiciosRest + 'municipio/todos/', {}, {query: {method: 'GET', isArray: true }}); }])
				
		.factory('Login', ['$resource', 'UrlServiciosRest', function ($resource, UrlServiciosRest) {
                return $resource(UrlServiciosRest + 'usuario/login/:username/:psswd/:tipo', {}, {query: {method: 'GET', isArray: true }}); }])
		
		.factory('TodosCuestionarios', ['$resource', 'UrlServiciosRest', function ($resource, UrlServiciosRest) {
                return $resource(UrlServiciosRest + 'cuestionario/todos/:marca/:tipousuario', {}, {query: {method: 'GET', isArray: false }}); }])		
				
        .factory('Soluciones', ['$resource', 'UrlServiciosRest', function ($resource, UrlServiciosRest) {
                return $resource(UrlServiciosRest + 'cuestionario/soluciones/:id', {}, {query: {method: 'GET', isArray: false }}); }])
				
		.factory('Solucion', ['$resource', 'UrlServiciosRest', function ($resource, UrlServiciosRest) {
                return $resource(UrlServiciosRest + 'cuestionario/solucion/:id/:idpregunta', {}, {query: {method: 'GET', isArray: false }}); }])

        .factory('Cuestionario', ['$resource', 'UrlServiciosRest', function ($resource, UrlServiciosRest) {
                return $resource(UrlServiciosRest + 'cuestionario/recupera/:marca/:tipousuario/:id', {}, {query: {method: 'GET', isArray: false }}); }])
				
		.factory('Preguntas', ['$resource', 'UrlServiciosRest', function ($resource, UrlServiciosRest) {
                return $resource(UrlServiciosRest + 'cuestionario/preguntas/:id', {}, {query: {method: 'GET', isArray: false }}); }])
		
		.factory('Token', function() {
			return "tokenAltacan";
		})
		
		.constant('TipoUsuario', 564)

		.factory('UrlServiciosRest', function() {
			return "http://www.argos.e-drogas.es/ArgosAppREST/rest/";
			//return "localhost:8081/ArgosAppREST/rest/";
			//return "www.argos.e-drogas.es:8081/ArgosAppREST/rest/";
		});
